# Uses of Class
org.springframework.test.web.servlet.result.XpathResultMatchers

Packages that use XpathResultMatchers
Package
Description
org.springframework.test.web.servlet.result
Contains built-in `ResultMatcher` and `ResultHandler` implementations.

## Uses of XpathResultMatchers in org.springframework.test.web.servlet.result

Methods in org.springframework.test.web.servlet.result that return XpathResultMatchers
Modifier and Type
Method
Description
`static XpathResultMatchers`
MockMvcResultMatchers.`xpath(String expression, Object... args)`
Access to response body assertions using an XPath expression to inspect a specific subset of the body.
`static XpathResultMatchers`
MockMvcResultMatchers.`xpath(String expression, Map<String,String> namespaces, Object... args)`
Access to response body assertions using an XPath expression to inspect a specific subset of the body.